summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSolomon Choina2019-03-24 08:14:00 -0400
committerSolomon Choina2019-03-24 08:14:00 -0400
commitcb6a4cf61e0f6ba745daba822fadcc43a67aa4b4 (patch)
tree62d8e8ae0c7c537812e673b234d705994702823c
parentd7d4aed9b21927d02b8942c196bb36dc57d7eec6 (diff)
downloadaur-cb6a4cf61e0f6ba745daba822fadcc43a67aa4b4.tar.gz
python plugin support is now stable and may as well be that qml and whatever support is stable as well
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD11
2 files changed, 13 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 7d04c9c1713..e7a26be9c57 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = falkon-git
pkgdesc = Cross-platform Qt Web Browser
- pkgver = 3.0.1.310.gb87ccf71
+ pkgver = 3.1.0.11.g1f197875
pkgrel = 1
url = http://www.qupzilla.com
arch = i686
@@ -14,15 +14,20 @@ pkgbase = falkon-git
makedepends = pyside2-tools
makedepends = kio
makedepends = extra-cmake-modules
+ makedepends = shiboken2
+ makedepends = pyside2-tools
makedepends = libgnome-keyring
depends = qt5-webengine
- depends = python-pyside2
+ depends = pyside2
depends = qt5-x11extras
depends = qt5-svg
depends = openssl>=1.1.0
+ depends = purpose
optdepends = bash-completion: bash completion support
optdepends = kwallet: kf5 kwallet integration
optdepends = libgnome-keyring: gnome keyring integration
+ optdepends = pyside2: python plugins for falkon
+ optdepends = shiboken2: qml plugins for falkon
conflicts = qupzilla
conflicts = qupzilla-qt5
conflicts = qupzilla-qt5-git
diff --git a/PKGBUILD b/PKGBUILD
index b6d47d83dd2..00d90ef51c7 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,21 +2,22 @@
# Maintainer: Piotr Gorski <lucjan.lucjanov@gmail.com>
# Maintainer : Solomon Choina <shlomochoina@gmail.com>
pkgname=falkon-git
-pkgver=3.0.1.310.gb87ccf71
+pkgver=3.1.0.11.g1f197875
pkgrel=1
pkgdesc="Cross-platform Qt Web Browser"
arch=('i686' 'x86_64')
url="http://www.qupzilla.com"
license=('GPL')
-depends=('qt5-webengine' 'python-pyside2' 'qt5-x11extras' 'qt5-svg' 'openssl>=1.1.0') # 'python-pyside2-git' : uncomment if you want to enable experimental function for add new plugins)
-makedepends=('git' 'libgnome-keyring' 'qt5-tools' 'kwallet' 'shiboken2' 'pyside2-tools' 'kio' 'extra-cmake-modules' 'libgnome-keyring' ) # uncomment 'shiboken2-git' 'pyside2-common-git' : if you want to enable experimental function for add new plugins) #libgnome-keyring : uncomment if you want to enable GNOME keyring
+depends=('qt5-webengine' 'pyside2' 'qt5-x11extras' 'qt5-svg' 'openssl>=1.1.0' 'purpose')
+makedepends=('git' 'libgnome-keyring' 'qt5-tools' 'kwallet' 'shiboken2' 'pyside2-tools' 'kio' 'extra-cmake-modules' 'shiboken2' 'pyside2-tools' 'libgnome-keyring')
+
conflicts=('qupzilla' 'qupzilla-qt5' 'qupzilla-qt5-git' 'falkon')
optdepends=(
'bash-completion: bash completion support'
'kwallet: kf5 kwallet integration'
'libgnome-keyring: gnome keyring integration'
- #'pyside2-common-git'
- #'shiboken2-git'
+ 'pyside2: python plugins for falkon'
+ 'shiboken2: qml plugins for falkon'
)
source=("git+https://anongit.kde.org/falkon.git")
sha256sums=('SKIP')